package com.ygtx.gxt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtSafeOperationRewardMapper;
import com.ygtx.gxt.domain.GxtSafeOperationReward;
import com.ygtx.gxt.service.IGxtSafeOperationRewardService;

/**
 * 安全运行奖励Service业务层处理
 * 
 * @author ygtx
 * @date 2026-01-07
 */
@Service
public class GxtSafeOperationRewardServiceImpl implements IGxtSafeOperationRewardService
{
    @Autowired
    private GxtSafeOperationRewardMapper gxtSafeOperationRewardMapper;

    /**
     * 查询安全运行奖励
     * 
     * @param id 安全运行奖励主键
     * @return 安全运行奖励
     */
    @Override
    public GxtSafeOperationReward selectGxtSafeOperationRewardById(Long id)
    {
        return gxtSafeOperationRewardMapper.selectGxtSafeOperationRewardById(id);
    }

    /**
     * 查询安全运行奖励列表
     * 
     * @param gxtSafeOperationReward 安全运行奖励
     * @return 安全运行奖励
     */
    @Override
    public List<GxtSafeOperationReward> selectGxtSafeOperationRewardList(GxtSafeOperationReward gxtSafeOperationReward)
    {
        return gxtSafeOperationRewardMapper.selectGxtSafeOperationRewardList(gxtSafeOperationReward);
    }

    /**
     * 新增安全运行奖励
     * 
     * @param gxtSafeOperationReward 安全运行奖励
     * @return 结果
     */
    @Override
    public int insertGxtSafeOperationReward(GxtSafeOperationReward gxtSafeOperationReward)
    {
        return gxtSafeOperationRewardMapper.insertGxtSafeOperationReward(gxtSafeOperationReward);
    }

    /**
     * 修改安全运行奖励
     * 
     * @param gxtSafeOperationReward 安全运行奖励
     * @return 结果
     */
    @Override
    public int updateGxtSafeOperationReward(GxtSafeOperationReward gxtSafeOperationReward)
    {
        return gxtSafeOperationRewardMapper.updateGxtSafeOperationReward(gxtSafeOperationReward);
    }

    /**
     * 批量删除安全运行奖励
     * 
     * @param ids 需要删除的安全运行奖励主键
     * @return 结果
     */
    @Override
    public int deleteGxtSafeOperationRewardByIds(Long[] ids)
    {
        return gxtSafeOperationRewardMapper.deleteGxtSafeOperationRewardByIds(ids);
    }

    /**
     * 删除安全运行奖励信息
     * 
     * @param id 安全运行奖励主键
     * @return 结果
     */
    @Override
    public int deleteGxtSafeOperationRewardById(Long id)
    {
        return gxtSafeOperationRewardMapper.deleteGxtSafeOperationRewardById(id);
    }
}